Last Comment Bug 724516 - Unregress handling of large standalone images that should span multiple pages when printing
: Unregress handling of large standalone images that should span multiple pages...
Status: VERIFIED FIXED
[qa!]
: qawanted, regression
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla13
Assigned To: Dão Gottwald [:dao]
:
: Jet Villegas (:jet)
Mentors:
Depends on:
Blocks: 528046 713383
  Show dependency treegraph
 
Reported: 2012-02-06 05:00 PST by Dão Gottwald [:dao]
Modified: 2012-03-27 07:14 PDT (History)
8 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
verified
verified


Attachments
patch (1.17 KB, patch)
2012-02-06 05:00 PST, Dão Gottwald [:dao]
roc: review+
akeybl: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Dão Gottwald [:dao] 2012-02-06 05:00:32 PST
Created attachment 594680 [details] [diff] [review]
patch

The comment explicitly refers to printing. Obviously doesn't make sense in a "not print" block.
Comment 1 Robert O'Callahan (:roc) (email my personal email if necessary) 2012-02-06 12:53:29 PST
Comment on attachment 594680 [details] [diff] [review]
patch

Review of attachment 594680 [details] [diff] [review]:
-----------------------------------------------------------------

er, nice catch!
Comment 3 Ed Morley [:emorley] 2012-02-07 12:13:46 PST
https://hg.mozilla.org/mozilla-central/rev/4bb2bcc8c95a
Comment 4 Dão Gottwald [:dao] 2012-02-08 09:23:32 PST
Comment on attachment 594680 [details] [diff] [review]
patch

[Approval Request Comment]
Regression caused by (bug #): bug 713383
User impact if declined: low impact, regressing bug 528046
Testing completed (on m-c, etc.): manual on m-c
Risk to taking this patch (and alternatives if risky): no risk, alternative is to accept regressing bug 528046
Comment 5 Alex Keybl [:akeybl] 2012-02-09 13:31:32 PST
Comment on attachment 594680 [details] [diff] [review]
patch

[Triage Comment]
Approving for Aurora 12 and Beta 11 along with bug 713383 in support of printing images. Since this is landing fairly late, adding the qawanted keyword to get some extra testing around printing this cycle.
Comment 7 Virgil Dicu [:virgil] [QA] 2012-02-29 07:47:01 PST
Mozilla/5.0 (X11; Linux x86_64; rv:11.0) Gecko/20100101 Firefox/11.0
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:11.0) Gecko/20100101 Firefox/11.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.7; rv:11.0) Gecko/20100101 Firefox/11.0

Tried with Firefox 11 beta 4 - printing the following image
https://bug528046.bugzilla.mozilla.org/attachment.cgi?id=411803
Prints on separate pages, as expected.(with/without zoom)
Comment 8 Paul Silaghi, QA [:pauly] 2012-03-21 07:20:26 PDT
Should the image be printed on separate pages even without zoom?
https://bug528046.bugzilla.mozilla.org/attachment.cgi?id=411803
Comment 9 Dão Gottwald [:dao] 2012-03-21 07:23:24 PDT
(In reply to Paul Silaghi [QA] from comment #8)
> Should the image be printed on separate pages even without zoom?
> https://bug528046.bugzilla.mozilla.org/attachment.cgi?id=411803

yes
Comment 10 Paul Silaghi, QA [:pauly] 2012-03-27 07:14:17 PDT
Verified fixed on Firefox 12b2:
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:12.0) Gecko/20100101 Firefox/12.0
Mozilla/5.0 (X11; Linux i686; rv:12.0) Gecko/20100101 Firefox/12.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:12.0) Gecko/20100101 Firefox/12.0

Note You need to log in before you can comment on or make changes to this bug.